//TitlePanel.java
//Amanogawa
//Singh T. Junior and Umberto Ravaioli
//Version 1.0


import java.awt.*;
import java.applet.*;
import java.lang.*;


public class TitlePanel extends Panel{
	//private static final Color bgcolor = new Color(216,216,191);
	//private static final Color bgcolor = new Color(216,216,191);
	private static final Color bgcolor = new Color(236,236,236);
	//private static final Color bgcolor = Color.lightGray;
	String titulo, titulo2, titulo3;
	public TitlePanel(){
		super();
                titulo="Unknown Title";
                titulo2="Unknown Title";
                titulo3="Unknown Title";
	}
        public TitlePanel(String titulo, String titulo2, String titulo3){
                super();
                this.titulo=titulo;
                this.titulo2 = titulo2;
                this.titulo3 = titulo3;
        }
	public void paint(Graphics g){
		g.setColor(Color.gray);	
		g.fillRect(0,0,getSize().width-1,getSize().height-1);
		g.setColor(Color.black);
        	g.drawLine(0,getSize().height-1,getSize().width-1,getSize().height-1);
        	g.drawLine(getSize().width-1,0,getSize().width-1,getSize().height-1);
        	g.setColor(Color.white);
        	g.drawLine(0,0,getSize().width-1,0);
        	g.drawLine(0,0,0,getSize().height-1);

		g.setColor(Color.black);
        	g.drawLine(5,5,getSize().width-6,5);
        	g.drawLine(5,5,5,getSize().height-6);
		g.setColor(Color.white);
        	g.drawLine(5,getSize().height-5,getSize().width-5,getSize().height-5);
        	g.drawLine(getSize().width-5,5,getSize().width-5,getSize().height-5);

		g.setColor(bgcolor);
		g.fillRect(6,6,getSize().width-11,getSize().height-11);
                
		Graphics2D g2d = (Graphics2D)g;
                g2d.setRenderingHint(RenderingHints.KEY_ANTIALIASING,RenderingHints.VALUE_ANTIALIAS_ON);

		g.setFont(new Font("SanSerif",Font.BOLD,13));
	        FontMetrics fmetrics=g.getFontMetrics();
                g.setColor(Color.black);
                g.drawString(titulo,10,fmetrics.getHeight());
                g.setColor(Color.lightGray);
                g.drawString(titulo2,(getSize().width-fmetrics.stringWidth(titulo2))/2+1,fmetrics.getHeight()+3);
		g.setColor(Color.red.darker());
                g.drawString(titulo2,(getSize().width-fmetrics.stringWidth(titulo2))/2,fmetrics.getHeight()+2);
                
                g.setColor(Color.lightGray);
                //g.drawString(titulo3,(getSize().width-128*fmetrics.stringWidth(titulo3)/100)+1,10+fmetrics.getHeight()+3);
		g.setColor(Color.red.darker());
                g.drawString(titulo3,(getSize().width-128*fmetrics.stringWidth(titulo3)/100),10+fmetrics.getHeight()+3);
                
                //g.setFont(new Font("SanSerif",Font.PLAIN,12));
	        //fmetrics = g.getFontMetrics();
                //g.setColor(Color.lightGray);
                //g.drawString(titulo3,(getSize().width)/2-(fmetrics.stringWidth(titulo2))/2+1,15*fmetrics.getHeight()/10+9);
                //g.setColor(Color.red.darker());
                //g.drawString(titulo3,(getSize().width)/2-(fmetrics.stringWidth(titulo2))/2,15*fmetrics.getHeight()/10+8);
                
                g2d.setRenderingHint(RenderingHints.KEY_ANTIALIASING,RenderingHints.VALUE_ANTIALIAS_OFF);

	}

}
